module Util.FakeTests (fakeSuccess, fakeFailure)
where

import Control.Concurrent
import Test.HUnit

fakeTest :: Bool -> Int -> IO ()
fakeTest success milliseconds = do
  threadDelay $ milliseconds * 1000
  assertBool "this is an assert message" success

fakeSuccess :: Int -> IO ()
fakeSuccess = fakeTest True

fakeFailure :: Int -> IO ()
fakeFailure = fakeTest False