module Main (main)
where

import Test.HUnit
import Test.HUnit.Gui

import qualified BarComputationsTests
import qualified DescriptionsTests
import qualified StatusTests

main :: IO ()
main = do
  testInfo <- runTestGui $ test [ StatusTests.tests
                               , DescriptionsTests.tests
                               , BarComputationsTests.tests
                               ]
  exitWhenGuiCloses testInfo
