module StatusTests (tests)
where

import Test.HUnit

import Test.HUnit.Gui.Status

tests :: Test
tests = test [ "errors make the suite fail" ~: Red ~=? (succeeded $ successfulCounts { errors = 1 })
             , "failures make the suite fail" ~: Red ~=? (succeeded $ successfulCounts { failures = 1 })
             , "no bad tests means the suite passes" ~: Green ~=? (succeeded successfulCounts)
             ]
    where
      successfulCounts = Counts 10 10 0 0